complexType "Discounting"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 3 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | discountingType?, (discountRate?, discountRateDayCountFraction?)?
</...>

Content Model Elements (3):

  discountingType, discountRate, discountRateDayCountFraction

All Direct / Indirect Based Elements (1):

  discounting

Known Usage Locations

- As direct type of elements (1):
  discounting

Annotation
For Credit Limit Check messages. A type defining discounting information. The 2000 ISDA definitions, section 8.4. discounting (related to the calculation of a discounted fixed amount or floating amount) apply. This type must only be included if discounting applies.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="Discounting"> <xsd:sequence> <xsd:element minOccurs="0" name="discountingType" type="DiscountingTypeEnum"/> <xsd:group minOccurs="0" ref="DiscountRate.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/3)
discountingType

  Type: | DiscountingTypeEnum, simple content

  The discounting method that is applicable.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Standard" | - | Per ISDA 2000 Definitions, Section 8.4. Discounting, paragraph (a) See: http://www.FpML.org
  "FRA" | - | Per ISDA 2000 Definitions, Section 8.4. Discounting, paragraph (b) See: http://www.FpML.org
  "FRAYield" | - | Per ISDA 2000 Definitions, Section 8.4. Discounting, paragraph (e) See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="discountingType" type="DiscountingTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.